package org.dimdev.dimdoors.shared.rifts.destinations;

import net.minecraft.nbt.*;

public final class GlobalDestinationNBTWriter {

    public static void writeToNBT(org.dimdev.dimdoors.shared.rifts.destinations.GlobalDestination obj, NBTTagCompound nbt) {
        // Write field org.dimdev.ddutils.Location loc
        if (obj.loc != null) {
            NBTTagCompound tag = new NBTTagCompound();
            tag.setInteger("dim", obj.loc.getDim());
            tag.setInteger("x", obj.loc.getX());
            tag.setInteger("y", obj.loc.getY());
            tag.setInteger("z", obj.loc.getZ());
            nbt.setTag("loc", tag);
        }
    }

    @SuppressWarnings({"OverlyStrongTypeCast", "RedundantSuppression"})
    public static void readFromNBT(org.dimdev.dimdoors.shared.rifts.destinations.GlobalDestination obj, NBTTagCompound nbt) {
        // Read field org.dimdev.ddutils.Location loc
        if (nbt.hasKey("loc")) {
            NBTBase tag = nbt.getTag("loc");
            org.dimdev.ddutils.Location arr = new org.dimdev.ddutils.Location(((NBTTagCompound) tag).getInteger("dim"), ((NBTTagCompound) tag).getInteger("x"), ((NBTTagCompound) tag).getInteger("y"), ((NBTTagCompound) tag).getInteger("z"));
            obj.loc = arr;
        }
    }
}
