package org.dimdev.dimdoors.shared.rifts.destinations;

import net.minecraft.nbt.*;

public final class LocalDestinationNBTWriter {

    public static void writeToNBT(org.dimdev.dimdoors.shared.rifts.destinations.LocalDestination obj, NBTTagCompound nbt) {
        // Write field net.minecraft.util.math.BlockPos pos
        if (obj.pos != null) {
            NBTTagCompound tag = new NBTTagCompound();
            tag.setInteger("x", obj.pos.getX());
            tag.setInteger("y", obj.pos.getY());
            tag.setInteger("z", obj.pos.getZ());
            nbt.setTag("pos", tag);
        }
    }

    @SuppressWarnings({"OverlyStrongTypeCast", "RedundantSuppression"})
    public static void readFromNBT(org.dimdev.dimdoors.shared.rifts.destinations.LocalDestination obj, NBTTagCompound nbt) {
        // Read field net.minecraft.util.math.BlockPos pos
        if (nbt.hasKey("pos")) {
            NBTBase tag = nbt.getTag("pos");
            net.minecraft.util.math.BlockPos arr = new net.minecraft.util.math.BlockPos(((NBTTagCompound) tag).getInteger("x"), ((NBTTagCompound) tag).getInteger("y"), ((NBTTagCompound) tag).getInteger("z"));
            obj.pos = arr;
        }
    }
}
