package org.dimdev.dimdoors.shared.tileentities;

import net.minecraft.nbt.*;

public final class TileEntityFloatingRiftNBTWriter {

    public static void writeToNBT(org.dimdev.dimdoors.shared.tileentities.TileEntityFloatingRift obj, NBTTagCompound nbt) {
        // Write field int updateTimer
        nbt.setInteger("updateTimer", obj.updateTimer);

        // Write field boolean shouldClose
        nbt.setBoolean("shouldClose", obj.shouldClose);

        // Write field int spawnedEndermenID
        nbt.setInteger("spawnedEndermenID", obj.spawnedEndermenID);

        // Write field float growth
        nbt.setFloat("growth", obj.growth);
    }

    @SuppressWarnings({"OverlyStrongTypeCast", "RedundantSuppression"})
    public static void readFromNBT(org.dimdev.dimdoors.shared.tileentities.TileEntityFloatingRift obj, NBTTagCompound nbt) {
        // Read field int updateTimer
        obj.updateTimer = nbt.getInteger("updateTimer");

        // Read field boolean shouldClose
        obj.shouldClose = nbt.getBoolean("shouldClose");

        // Read field int spawnedEndermenID
        obj.spawnedEndermenID = nbt.getInteger("spawnedEndermenID");

        // Read field float growth
        obj.growth = nbt.getFloat("growth");
    }
}
